Bug 474512 - virt-viewer can't display F10 guests' console
virt-viewer can't display F10 guests' console
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-viewer (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 03:33 EST by Gurhan Ozen
Modified: 2013-11-03 20:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 12:45:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2008-12-04 03:33:56 EST
Description of problem:
  For F10 paravirt guests on rhel 5.3 dom0, the console of the guests are accessible with virsh console but aren't accessible on virt-viewer. F10 guests seem to have hvcX as their console rather than xvc0.

Version-Release number of selected component (if applicable):
RHEL 5.3 dom0, F10 guest

How reproducible:
Very.

Steps to Reproduce:
1. Install a F10 PV guest with nographics. 
2. Open virt-manager, start the guest and open the console
3. Nothing will be displayed on virt-viewer console.
  
Additional info:
F10 guests seem to have hvcX as their console rather than xvc0.
Comment 2 Daniel Berrange 2009-02-20 12:45:46 EST
hvcXXX is a paravirt text based console. virt-viewer displays the graphical console. If the guest OS is configured to only output on its text console, there's nothing for virt-viewer to display. To make it visible in virt-viewer you need to make your guest use the graphical console for its output.

Note You need to log in before you can comment on or make changes to this bug.